> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1payment methodscreate



## OpenAPI

````yaml /api-reference/openapi.json post /v1/payment-methods/create
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/payment-methods/create:
    post:
      tags:
        - PaymentMethods
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PaymentMethodsCreatePaymentMethodFromSetupIntentRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/PaymentMethodsCreatePaymentMethodFromSetupIntentRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/PaymentMethodsCreatePaymentMethodFromSetupIntentRequest
      responses:
        '200':
          description: OK
components:
  schemas:
    PaymentMethodsCreatePaymentMethodFromSetupIntentRequest:
      type: object
      properties:
        setupIntentId:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        phone:
          type: string
          nullable: true
      additionalProperties: false

````